org.apache.cassandra.db

## Interface IMutation

All Known Implementing Classes:
  CounterMutation, Mutation

    public interface IMutation

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `apply()`
`java.util.Collection<java.util.UUID>` `getColumnFamilyIds()`
`java.lang.String` `getKeyspaceName()`
`java.util.Collection<PartitionUpdate>` `getPartitionUpdates()`
`long` `getTimeout()`
`DecoratedKey` `key()`
`java.lang.String` `toString(boolean shallow)`

### Method Detail

#### apply

    void apply()

#### getKeyspaceName

    java.lang.String getKeyspaceName()

#### getColumnFamilyIds

    java.util.Collection<java.util.UUID> getColumnFamilyIds()

#### key

    DecoratedKey key()

#### getTimeout

    long getTimeout()

#### toString

    java.lang.String toString(boolean shallow)

#### getPartitionUpdates

    java.util.Collection<PartitionUpdate> getPartitionUpdates()